Bugzilla Version 2.16.3
Bugzilla Bug 5757
  TexLive and Fedora 9 issues
     Query page      Enter new bug
Bug#: 5757   Platform:   Reporter: raeburn@msu.edu (Stuart Raeburn)
Product:   OS:   Add CC:
Component:   Version:   CC:
Remove selected CCs
Status: RESOLVED   Priority:  
Resolution: FIXED   Severity:  
Assigned To: fox@kendo.msu.edu (Ron Fox)   Target Milestone:  
URL:
Summary:

Attachment Type Modified Status Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 5757 depends on: Show dependency tree
Show dependency graph
Bug 5757 blocks:
Votes:     Show votes for this bug    Vote for this bug

Additional Comments:


Leave as RESOLVED FIXED
Reopen bug
Mark bug as VERIFIED
Mark bug as CLOSED

View Bug Activity   |   Format For Printing

Description: Opened: 2008-07-18 16:17

SuSE 10.3 and Fedora 9 replaced use of tetex packages with TeXLive because tetex
is no longer being maintained.  For SuSE 10.3, I provide tetex packages on
install.loncapa.org, but the tetex-unicode dependency in LONCAPA-prerequisites
on Fedora 9 causes the TeXLive packages to be installed. So I'm looking at using
TeXLive for Fedora 9 (and presumably SuSE 11, and future Fedora/Redhat releases).

The TeXLive packages lack picins.sty, which LON-CAPA uses, so printout.pl fails
to create a dvi file etc. from a tex file.

The problem with picins.sty is that the license attached to it doesn't
explicitly allow redistribution (it simply states that modification is not
allowed). Contacting the author to request permission to distribute this in a
package as part of LON-CAPA might be a solution.  The problem would be one of
tracking down the author. The timestamp on the files in the zip archive
available from ctan.org is from 1992. (Also see this thread:
http://osdir.com/ml/tex.tetex.general/2005-10/msg00021.html )

As an alternative, install.pl in installation for Fedora 9, and SuSE 11 could be
updated to retrieve the sty file from ctan.org, i.e., to include: 

wget http://www.ctan.org/get/macros/latex209/contrib/picins/picins.sty
mkdir /usr/share/texmf/tex/latex/picins
cp picins.sty /usr/share/texmf/tex/latex/picins
/usr/bin/mktexlsr /usr/share/texmf/tex/latex/

A problem remains however.  Printing works correctly from the command line as
user www, but when printout.pl tries to print the following error occurs:

kpathsea: Running mktexfmt latex.fmt
fmtutil: format directory `/.texlive2007/texmf-var/web2c' does not exist.

There appears to be a configuration issue here to with the fact that it is
looking in / for the .texlive2007 directory.  

The following kludge fixes this, but something is definitely wrong here:
As user www:

mktexfmt latex.fmt

As root

ln -s /home/www/.texlive2007 /.texlive2007


The alternative to all of this is to add additional tetex dependencies to
LONCAPA-prerequisites and build tetex rpms and add to install.loncapa.org for
Fedora 9 and any other distros that will use TeXLive in the future, but that
conflicts with the aim of minimizing the number of packages we need to provide,
instead of using ones provided in the various Linux distros.

------- Additional Comment #1 From Ron Fox 2008-08-26 05:24 -------
This can probably be beat.. without looking yet, my guess is that there are some
env variables that are expected that are not defined in the run of printout.pl,
and my best guess is that it's HOME.


------- Additional Comment #2 From Ron Fox 2008-09-14 10:39 -------
The problem appears to be that loncapa dependency rpms from tetex interfere with
the ability of texlive to build its format files at installation. What I did:

1. yum remove tetex


This also took out all of texlive!

2. yum install texlive texlive-latex texlive-dvips

After that latex runs just fine from printout.pl

_BUT_
  There are some packages in the loncapa dependencies that are needed to get
loncapa stuff to printout.. specifically at least picins.sty
which appears to be an interesting can of worms From a thread I googled:

From cuse at users.sourceforge.net  Tue Mar  4 20:18:15 2008
From: cuse at users.sourceforge.net (Christian Schoenebeck)
Date: Tue, 4 Mar 2008 19:18:15 +0000
Subject: [tex-live] frameenv and texlive
Message-ID: <200803041918.15248.cuse@users.sourceforge.net>

Hi!

Is there are a texlive package which contains the "frameenv" environment? In 
old tetex it was in picins.sty which I couldn't find in any texlive package 
so far.

(Unfortunately I accidently mixed texlive stuff with old tetex stuff in my 
diploma thesis, so that's why I have these problems now ... )

Thanks in advance!

CU
Christian

P.S. using Gentoo btw

hmmm... sound familiar?

From karl at freefriends.org  Wed Mar  5 00:13:55 2008
From: karl at freefriends.org (Karl Berry)
Date: Tue, 4 Mar 2008 17:13:55 -0600
Subject: [tex-live] frameenv and texlive
In-Reply-To: <200803041918.15248.cuse@users.sourceforge.net>
Message-ID: <200803042313.m24NDtW03252@f7.net>

    Is there are a texlive package which contains the "frameenv" environment? In 
    old tetex it was in picins.sty which I couldn't find in any texlive package 

picins was released under a nonfree license, so it was removed from TeX
Live (and teTeX) some time ago.  See this thread:
http://www.mail-archive.com/tetex at dbs.uni-hannover.de/msg00803.html

Whether anything else provides frameenv, I do not know.  Sorry.

Best,
Karl


So we have 2x problems. 
1. Where is picins (see the next entry for the answer)
2. If it's not a free license any more do we want to package it with
   LonCAPA and if not what do w do to substitute

From ugroh at t-online.de  Wed Mar  5 14:32:47 2008
From: ugroh at t-online.de (ugroh@t-online)
Date: Wed, 5 Mar 2008 14:32:47 +0100
Subject: [tex-live] Additional CJK fonts
In-Reply-To: <20080304.192624.95308475.wl@gnu.org>
References: <20080304.171508.31138362.wl@gnu.org>
	<A73F863F-DFBD-44FC-8F4C-41E70870A088@t-online.de>
	<20080304.192624.95308475.wl@gnu.org>
Message-ID: <C7AD51E6-E959-4FBD-A309-FC7A390DD448@t-online.de>

I would like to read this article. But I am not a member of the TuG  
and therefore I have no access to it. Can somebody send me the article  
please?
------------------------------
Herzliche Gr??e / Best regards
Ulrich Groh
------------------------------
Am 04.03.2008 um 19:26 schrieb Werner LEMBERG:

> Norbert Preining's article in the 2007 EuroTeX proceedings


From ftpmaint at alan.smcvt.edu  Wed Mar  5 14:31:24 2008
From: ftpmaint at alan.smcvt.edu (Jim Hefferon)
Date: Wed, 05 Mar 2008 08:31:24 -0500
Subject: [tex-live] frameenv and texlive
Message-ID: <1204723884.31768.6.camel@alan.smcvt.edu>

I know of these packages that may apply:
http://www.ctan.org/pkg/picins
http://www.ctan.org/pkg/flowfram
http://www.ctan.org/pkg/floatfig
http://www.ctan.org/pkg/wrapfig
http://www.ctan.org/pkg/floatflt
http://www.ctan.org/pkg/picinpar

I am unsure whether they are in TL: <mumble>I don't have TL on this
machine</mumble>.

If it helps, I have found this summary useful:

http://groups.google.com/group/comp.text.tex/browse_frm/thread/f31e72615585bb46/407d4bf0ea5c195e?hl=en&lnk=gst&q=piet+picins#407d4bf0ea5c195e

Jim





------- Additional Comment #3 From Ron Fox 2008-09-14 10:49 -------
Having now bothered to read the first posting, rather than going by the issue as
I got it (unable to run Latex from in printout.pl)...
 After following the recipe I described in my last posting  I then followed
Stuart's recipe for installing picins, however instead of running mktexlsr it
was necessary to use texconfig and ask it to rehash the file data base as
evidently tex-live stores the database in a (few?) different place(s?) and just
doing a mktexlsr was not sufficient to allow latex to locate picins.

I believe that printing now works on tmp9.lite.msu.edu unless there are other
things that came from tetex that we need for printing not triggered by my test
prings.

------- Additional Comment #4 From Ray Batchelor 2008-09-20 02:42 -------
I am just becoming aware that we are haveing serious problems with printout
generation on our suse 10.3 access servers.  I'm hoping to find a quick fix....
but doubt that I can decipher how this discussion relates to my problem.  Any
advice would be appreciated.

Thanks.

------- Additional Comment #5 From Ray Batchelor 2008-09-20 09:46 -------
On our suse10.3 access servers I see the following and I wonder if there should
not be more?

> rpm -qa | egrep tex
te_latex-3.0-58
texinfo-4.9-15
latex-ucs-20041017-31
perl-gettext-1.05-73
tetex-3.0-58
> 


------- Additional Comment #6 From Ray Batchelor 2008-09-20 10:28 -------
Actually I may have overstated the problem, because I have inconsistent info 
resulting from specific resources causing print jobs to fail in different courses.

What I AM finding to be consistently true, however, is simply that on our
suse10.3 access servers, two-column printouts only use the first column on each
page.  That is not so disastrous, but still annoying.


------- Additional Comment #7 From Stuart Raeburn 2008-09-20 20:52 -------
doc/loncapafiles/picins_check.piml 1.1
loncom/build/Makefile rev 1.188

will check for the existence of picins.sty (Fedora 9) and fetch if from ctan,
run texinfo rehash, and run fmtutil-sys --missing.

Ron,

As it turned out, despite removing all tetex and texlive packages, and then
reinstalling with "yum install texlive texlive-latex texlive-dvips" followed by 

mkdir /usr/share/texmf/tex/latex/picins
wget -O /usr/share/texmf/tex/latex/picins/picins.sty
http://www.ctan.org/get/macros/latex209/contrib/picins/picins.sty"

/usr/bin/texconfig rehash

I was still seeing the same problem reported at the end of the original bug
report on a 64 bit Fedora instance - http://tyne.lite.msu.edu

The output from the latex command in &make_dvi_file() in printout.pl (directed
to tmp instead of /dev/null) was:

This is pdfTeXk, Version 3.141592-1.40.3 (Web2C 7.5.6)
 %&-line parsing enabled.
I can't find the format file `latex.fmt'!

kpathsea: Running mktexfmt latex.fmt
fmtutil: format directory `/.texlive2007/texmf-var/web2c' does not exist.

The solution was to run:

fmtutil-sys --missing

Marking this is as fixed.
Creating a new bug (bug 5802) for the SuSE 10.3 printing issues reported by Ray
Batchelor (SFU) in comments #4, #5, and #6 from 9/20/2008.

     Query page      Enter new bug
This is Bugzilla: the Mozilla bug system. For more information about what Bugzilla is and what it can do, see bugzilla.org.
Actions: New | Query | bug # | Reports   New Account | Log In